View Issue Details

IDProjectCategoryView StatusLast Update
0002123SOGoWeb Mailpublic2013-01-14 14:25
Reporterwimmer Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.2 
Target Version2.0.4Fixed in Version2.0.4 
Summary0002123: Lost filename of attachment by message forwarding
Description

User wimmer sends message from Thunderbird to user harryp.
This message includes attachment with non-ascii character in its filename
(รก.png) [message].
User harryp opens message in SOGo WebGUI and he see correct filename in the message view [receive.png].
He wishes to forward it to someone else. He uses "Forward messages: Inline" setting in his Preferences.
SOGo includes original attachment file, but uses wrong filename "unkown_2"[forward.png].

It causes problem for recipient.

  • no problem when original filename includes ascii chars only
  • no problem when original filename is send from SOGo WebGUI
  • the same problem when original filename is send from alpine
  • no problem when message if forwarded from the other clients than SOGo
TagsNo tags attached.

Activities

2012-11-24 09:46

 

message (2,587 bytes)   
Return-Path: <wimmer@civ.zcu.cz>
X-Original-To: harryp@civ.zcu.cz
Delivered-To: harryp@civ.zcu.cz
Received: from fred.zcu.cz (fred.zcu.cz [147.228.57.19])
	by axor.zcu.cz (Postfix) with ESMTP id 35FC110289D20
	for <harryp@civ.zcu.cz>; Sat, 24 Nov 2012 15:10:19 +0100 (CET)
Received: from [192.168.1.10] (gate-mw.zcu.cz [147.228.248.10])
	(Authenticated sender: wimmer)
	by fred.zcu.cz (Postfix) with ESMTPSA id 876A8300C6341
	for <harryp@civ.zcu.cz>; Sat, 24 Nov 2012 15:10:18 +0100 (CET)
Message-ID: <50B0D54A.2010003@civ.zcu.cz>
Date: Sat, 24 Nov 2012 15:10:18 +0100
From: Milos Wimmer <wimmer@civ.zcu.cz>
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/17.0 Thunderbird/17.0
MIME-Version: 1.0
To: "harryp@ >> Harry Potter" <harryp@civ.zcu.cz>
Subject: test
Content-Type: multipart/mixed;
 boundary="------------050709090706080009090205"
X-ZCU-MailScanner-ID: 876A8300C6341.A0D7F
X-ZCU-MailScanner: Found to be clean
X-ZCU-MailScanner-SpamCheck: not spam (whitelisted),
	SpamAssassin (not cached, score=-2.9, required 5, autolearn=not spam,
	ALL_TRUSTED -1.00, BAYES_00 -1.90)
X-ZCU-MailScanner-From: wimmer@civ.zcu.cz
X-Spam-Status: No

This is a multi-part message in MIME format.
--------------050709090706080009090205
Content-Type: text/plain; charset=ISO-8859-2; format=flowed
Content-Transfer-Encoding: 7bit

Test

--------------050709090706080009090205
Content-Type: image/png;
 name="=?ISO-8859-2?Q?=E1=2Epng?="
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*=ISO-8859-2''%E1%2E%70%6E%67

iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAACXBIWXMAAAsSAAALEgHS3X78
AAACmklEQVQ4jYWTy2+MYRTGf991vrm1aqat6fRCSTVuqWCDEOLyH1iQWFhYsrEnkWBhw8JK
YsPSonYSaUWIjcS1xAJlOlM6nfnmPvNd3ve1cKv7WZ2cPM+T5+ScR+NvNX4uxbbRvkgiKr2H
jz/x5EzlTzDt14Fz4OKuoU1jJwbGBrb3jPSlAt1Q8++LC3Ov5qbcp28vBXdOPF6KN5aKxXae
PT28btXVNWuzGwbTiWR2Za/RFTVNUW12q1BO+IF3pBPf7Krc9KNvJP07/ei1U7HRwTNOImKF
CZtwWRyFxAh8hFtDq7hERZiIT4xf4eTNwz872HFhPZvXXjdH+u3IYJpIJoUVi6BCQSW3SPnD
AvryJJV3BWTE0mT/8u2isfoGhbuNLw56lx1Dt+Mty6SqFO7HMqV6h4V6m0K+RLVUR0930bt/
K8mxISzDybAifQjABEz8cDfzRcIXH6k6NnoyhtgyRmcgjT2aIZZN41sGvhcgZnMoPQnS2Atc
NmFfnIVymsIHECFeIoYbjxFGbdqOg6Nr6EoiKi28fInOg0cE1SYoIwPoJswLym5A8xNYFrSa
eHYEkR2gM1vC0SSGAto+wb37tHM5gvIiCN8HlAkzLVp73pBcvQZZg0oeTItw5hWNeoe2HceI
Wmj5HOL5M0SzihI+6PprJMoEJO7cJLLrIKaExiLoNsyUoJBHOFFEahCkBZoJYRWwFFK79eOM
ojZLO7mfMJFBFCEogwygWYGqC80QRDe0ffCKgLgNxfNQC79+Yr2Far0k8PYhF7tRBihANcDK
gOyHShE6dcCfgdxxKBT+EI2enbBiGoZDGFXQqyCrYFzBKg+GJ6Fn4z/DBKSg6wBou0AbAk2B
eAtqCurTQO1/AktzEvnad/iy1G/1GacjJdFQQL6/AAAAAElFTkSuQmCC
--------------050709090706080009090205--
message (2,587 bytes)   

2012-11-24 09:47

 

receive.png (73,081 bytes)   
receive.png (73,081 bytes)   

2012-11-24 09:47

 

forward.png (31,508 bytes)   
forward.png (31,508 bytes)   
ludovic

ludovic

2013-01-14 14:25

administrator   ~0005170

Fixed: https://github.com/inverse-inc/sogo/commit/d26df456e52d5cd41a214e43830939a200a330ab

Issue History

Date Modified Username Field Change
2012-11-24 09:46 wimmer New Issue
2012-11-24 09:46 wimmer File Added: message
2012-11-24 09:47 wimmer File Added: receive.png
2012-11-24 09:47 wimmer File Added: forward.png
2013-01-13 08:16 ludovic Target Version => 2.0.4
2013-01-14 08:42 ludovic Status new => assigned
2013-01-14 08:42 ludovic Assigned To => ludovic
2013-01-14 14:25 ludovic Note Added: 0005170
2013-01-14 14:25 ludovic Status assigned => closed
2013-01-14 14:25 ludovic Resolution open => fixed
2013-01-14 14:25 ludovic Fixed in Version => 2.0.4